Take the 2-minute tour ×
Sound Design Stack Exchange is a question and answer site for sound engineers, producers, editors, and enthusiasts. It's 100% free, no registration required.

I've been trying to set up my DAWs (specifically Ableton and FL Studio) so that I could have two working versions of the same SoftSynth running at the same time. Specifically the ones I've been trying to do are Native Instruments Massive versions 1.1.5 and 1.3 and FM8 1.1.1 and 1.2.1.

The reason I'm doing this is because when Native Instruments updated these two synths, they created new filetypes for the presets which don't work in the old versions. This causes a lot of strain when I'm trying to collaborate with another artist who still has an older version.

Every time I reinstall an older version, after apending the version to the dll files, the newer version will still show up but won't work.

Is this possible to do on a windows PC?

EDIT:

I got both to work in FL Studio but now neither is showing up in Ableton. To get both working in FL Studio, I first installed the older versions. Then I renamed their dll and other files with their version. Then I installed the current versions and it worked.

share|improve this question

migrated from avp.stackexchange.com Jan 27 at 15:01

This question came from our site for engineers, producers, editors, and enthusiasts spanning the fields of video, and media creation.

    
It seems like you have already answered your own question. In that case, you should put the answer in an actual answer. –  ObscureRobot Feb 10 '13 at 16:04
    
Can your collaborator upgrade to the latest version of Massive and FM8? Usually NI does not charge for minor updates. So if the collaborator has Massive 1.1.5, 1.3 should be a free update. –  ObscureRobot Feb 10 '13 at 16:05
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.